SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces
LogCommandParser.h File Reference

Contains LogCommandParser , Used to send logs to connected consoles. More...

`#include "NativeFeatureIncludes.h"`
`#include "CommandParserInterface.h"`
`#include "Export.h"`

Go to the source code of this file.

## Classes

class | SLNet::LogCommandParser
| Adds the ability to send logging output to a remote console. More...
struct | SLNet::LogCommandParser::SystemAddressAndChannel
| One of these structures is created per player. More...

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Detailed Description

Contains LogCommandParser , Used to send logs to connected consoles.

Definition in file LogCommandParser.h.

## Class Documentation

struct SLNet::LogCommandParser::SystemAddressAndChannel

One of these structures is created per player.

Definition at line 109 of file LogCommandParser.h.

Class Members
unsigned | channels | Bitwise representations of the channels subscribed to. If bit 0 is set, then we subscribe to channelNames[0] and so on.
SystemAddress | systemAddress | The ID of the player.